From 91d0244a2e823b7298dde69bfff3d2e11d184309 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Mar 2025 07:16:57 +0000
Subject: [PATCH] dbus-glib: upgrade 0.112 -> 0.114

---
 .../dbus/dbus-glib/no-examples.patch          |  16 +-
 .../dbus-glib/test-install-makefile.patch     |  17 +-
 meta/recipes-core/dbus/dbus-glib_0.112.bb     |  39 --
 meta/recipes-core/dbus/dbus-glib_0.114.bb     | 604 ++++++++++++++++++
 4 files changed, 624 insertions(+), 52 deletions(-)
 delete mode 100644 meta/recipes-core/dbus/dbus-glib_0.112.bb
 create mode 100644 meta/recipes-core/dbus/dbus-glib_0.114.bb

diff --git a/meta/recipes-core/dbus/dbus-glib/no-examples.patch b/meta/recipes-core/dbus/dbus-glib/no-examples.patch
index 32e7611718..3e2fa41c59 100644
--- a/meta/recipes-core/dbus/dbus-glib/no-examples.patch
+++ b/meta/recipes-core/dbus/dbus-glib/no-examples.patch
@@ -1,14 +1,20 @@
-Disable compiling examples
+From 8bb06c2f0929a4b878fd9abdb63c177a7c308b9d Mon Sep 17 00:00:00 2001
+From: Kevin Tian <kevin.tian@intel.com>
+Date: Tue, 21 Nov 2006 14:20:37 +0000
+Subject: [PATCH] Disable compiling examples
 
 Upstream-Status: Inappropriate [disable feature]
 
 Signed-off-by: Kevin Tian <kevin.tian@intel.com>
 Signed-off-by: Scott Garman <scott.a.garman@intel.com>
+---
+ dbus/Makefile.am | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
 
-Index: dbus-glib-0.108/dbus/Makefile.am
-===================================================================
---- dbus-glib-0.108.orig/dbus/Makefile.am
-+++ dbus-glib-0.108/dbus/Makefile.am
+diff --git a/dbus/Makefile.am b/dbus/Makefile.am
+index 2e8cb27..a86df30 100644
+--- a/dbus/Makefile.am
++++ b/dbus/Makefile.am
 @@ -1,4 +1,4 @@
 -SUBDIRS = . examples
 +SUBDIRS = .
diff --git a/meta/recipes-core/dbus/dbus-glib/test-install-makefile.patch b/meta/recipes-core/dbus/dbus-glib/test-install-makefile.patch
index 027c82b27e..0b1b712dd9 100644
--- a/meta/recipes-core/dbus/dbus-glib/test-install-makefile.patch
+++ b/meta/recipes-core/dbus/dbus-glib/test-install-makefile.patch
@@ -1,4 +1,8 @@
-Change Makefile.am to install regression tests for test package purpose.
+From 4dbb1a459c281eeb716b4f0ce2fc01e8034c3e20 Mon Sep 17 00:00:00 2001
+From: Yao Zhao <yao.zhao@windriver.com>
+Date: Tue, 17 Jul 2012 16:46:30 -0400
+Subject: [PATCH] Change Makefile.am to install regression tests for test
+ package purpose.
 
 Upstream-Status: Inappropriate [test not install is for purpose from upstream]
 
@@ -11,7 +15,7 @@ Signed-off-by: Chong Lu <Chong.Lu@windriver.com>
  3 files changed, 6 insertions(+), 3 deletions(-)
 
 diff --git a/test/Makefile.am b/test/Makefile.am
-index 379c8c3..6580927 100644
+index 7393bed..1c25d5d 100644
 --- a/test/Makefile.am
 +++ b/test/Makefile.am
 @@ -48,7 +48,8 @@ TESTS = \
@@ -25,10 +29,10 @@ index 379c8c3..6580927 100644
  	$(test_related_programs) \
  	$(NULL)
 diff --git a/test/core/Makefile.am b/test/core/Makefile.am
-index e4bceb4..54b077d 100644
+index 35defa9..295202f 100644
 --- a/test/core/Makefile.am
 +++ b/test/core/Makefile.am
-@@ -64,7 +64,8 @@ endif
+@@ -57,7 +57,8 @@ if DBUS_BUILD_TESTS
  
  ## we use noinst_PROGRAMS not check_PROGRAMS for TESTS so that we
  ## build even when not doing "make check"
@@ -39,7 +43,7 @@ index e4bceb4..54b077d 100644
  	test-error-mapping \
  	test-service-glib \
 diff --git a/test/interfaces/Makefile.am b/test/interfaces/Makefile.am
-index a94d08d..707dcac 100644
+index f3f62e4..f034b95 100644
 --- a/test/interfaces/Makefile.am
 +++ b/test/interfaces/Makefile.am
 @@ -57,7 +57,8 @@ if DBUS_BUILD_TESTS
@@ -52,6 +56,3 @@ index a94d08d..707dcac 100644
  
  test_service_SOURCES = \
  	test-interfaces.c \
--- 
-1.9.1
-
diff --git a/meta/recipes-core/dbus/dbus-glib_0.112.bb b/meta/recipes-core/dbus/dbus-glib_0.112.bb
deleted file mode 100644
index 4acf435694..0000000000
--- a/meta/recipes-core/dbus/dbus-glib_0.112.bb
+++ /dev/null
@@ -1,39 +0,0 @@
-SUMMARY = "High level language (GLib) binding for D-Bus"
-DESCRIPTION = "GLib bindings for the D-Bus message bus that integrate \
-the D-Bus library with the GLib thread abstraction and main loop."
-HOMEPAGE = "https://www.freedesktop.org/Software/dbus"
-LICENSE = "AFL-2.1 | GPL-2.0-or-later"
-LIC_FILES_CHKSUM = "file://COPYING;md5=c31c73c1d8f5d06784b2ccd22e42d641 \
-                    file://dbus/dbus-glib.h;beginline=7;endline=21;md5=c374833bd817988323f3a8fda0dc7f48"
-SECTION = "base"
-
-DEPENDS = "expat glib-2.0 virtual/libintl dbus-glib-native dbus"
-DEPENDS:class-native = "glib-2.0-native dbus-native"
-
-SRC_URI = "https://dbus.freedesktop.org/releases/dbus-glib/dbus-glib-${PV}.tar.gz \
-           file://no-examples.patch \
-           file://test-install-makefile.patch \
-"
-SRC_URI[md5sum] = "021e6c8a288df02c227e4aafbf7e7527"
-SRC_URI[sha256sum] = "7d550dccdfcd286e33895501829ed971eeb65c614e73aadb4a08aeef719b143a"
-
-inherit autotools pkgconfig gettext bash-completion gtk-doc
-
-#default disable regression tests, some unit test code in non testing code
-#PACKAGECONFIG:pn-${PN} = "tests" enable regression tests local.conf
-PACKAGECONFIG ??= ""
-PACKAGECONFIG[tests] = "--enable-tests,,,"
-
-EXTRA_OECONF:class-target = "--with-dbus-binding-tool=${STAGING_BINDIR_NATIVE}/dbus-binding-tool"
-
-PACKAGES += "${PN}-tests"
-
-FILES:${PN} = "${libdir}/lib*${SOLIBS}"
-FILES:${PN}-bash-completion += "${libexecdir}/dbus-bash-completion-helper"
-FILES:${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
-FILES:${PN}-dev += "${bindir}/dbus-binding-tool"
-
-RDEPENDS:${PN}-tests += "dbus-x11"
-FILES:${PN}-tests = "${datadir}/${BPN}/tests"
-
-BBCLASSEXTEND = "native"
diff --git a/meta/recipes-core/dbus/dbus-glib_0.114.bb b/meta/recipes-core/dbus/dbus-glib_0.114.bb
new file mode 100644
index 0000000000..7d17fcf74f
--- /dev/null
+++ b/meta/recipes-core/dbus/dbus-glib_0.114.bb
@@ -0,0 +1,604 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -16,550 +16,4 @@
+#    LGPL-2.1-or-later or MIT option, or under the MIT license only.
+#    See individual source files for details.
+#  
+# ------------------------------------------------------------------------
+# -
+# -The Academic Free License
+# -v. 2.1
+# -
+# -This Academic Free License (the "License") applies to any original work of authorship (the "Original Work") whose owner (the "Licensor") has placed the following notice immediately following the copyright notice for the Original Work:
+# -
+# -Licensed under the Academic Free License version 2.1
+# -
+# -1) Grant of Copyright License. Licensor hereby grants You a
+# -world-wide, royalty-free, non-exclusive, perpetual, sublicenseable
+# -license to do the following:
+# -
+# -a) to reproduce the Original Work in copies;
+# -
+# -b) to prepare derivative works ("Derivative Works") based upon the Original Work;
+# -
+# -c) to distribute copies of the Original Work and Derivative Works to the public;
+# -
+# -d) to perform the Original Work publicly; and
+# -
+# -e) to display the Original Work publicly.
+# -
+# -2) Grant of Patent License. Licensor hereby grants You a world-wide,
+# -royalty-free, non-exclusive, perpetual, sublicenseable license, under
+# -patent claims owned or controlled by the Licensor that are embodied in
+# -the Original Work as furnished by the Licensor, to make, use, sell and
+# -offer for sale the Original Work and Derivative Works.
+# -
+# -3) Grant of Source Code License. The term "Source Code" means the
+# -preferred form of the Original Work for making modifications to it and
+# -all available documentation describing how to modify the Original
+# -Work. Licensor hereby agrees to provide a machine-readable copy of the
+# -Source Code of the Original Work along with each copy of the Original
+# -Work that Licensor distributes. Licensor reserves the right to satisfy
+# -this obligation by placing a machine-readable copy of the Source Code
+# -in an information repository reasonably calculated to permit
+# -inexpensive and convenient access by You for as long as Licensor
+# -continues to distribute the Original Work, and by publishing the
+# -address of that information repository in a notice immediately
+# -following the copyright notice that applies to the Original Work.
+# -
+# -4) Exclusions From License Grant. Neither the names of Licensor, nor
+# -the names of any contributors to the Original Work, nor any of their
+# -trademarks or service marks, may be used to endorse or promote
+# -products derived from this Original Work without express prior written
+# -permission of the Licensor. Nothing in this License shall be deemed to
+# -grant any rights to trademarks, copyrights, patents, trade secrets or
+# -any other intellectual property of Licensor except as expressly stated
+# -herein. No patent license is granted to make, use, sell or offer to
+# -sell embodiments of any patent claims other than the licensed claims
+# -defined in Section 2. No right is granted to the trademarks of
+# -Licensor even if such marks are included in the Original Work. Nothing
+# -in this License shall be interpreted to prohibit Licensor from
+# -licensing under different terms from this License any Original Work
+# -that Licensor otherwise would have a right to license.
+# -
+# -5) This section intentionally omitted.
+# -
+# -6) Attribution Rights. You must retain, in the Source Code of any
+# -Derivative Works that You create, all copyright, patent or trademark
+# -notices from the Source Code of the Original Work, as well as any
+# -notices of licensing and any descriptive text identified therein as an
+# -"Attribution Notice." You must cause the Source Code for any
+# -Derivative Works that You create to carry a prominent Attribution
+# -Notice reasonably calculated to inform recipients that You have
+# -modified the Original Work.
+# -
+# -7) Warranty of Provenance and Disclaimer of Warranty. Licensor
+# -warrants that the copyright in and to the Original Work and the patent
+# -rights granted herein by Licensor are owned by the Licensor or are
+# -sublicensed to You under the terms of this License with the permission
+# -of the contributor(s) of those copyrights and patent rights. Except as
+# -expressly stated in the immediately proceeding sentence, the Original
+# -Work is provided under this License on an "AS IS" BASIS and WITHOUT
+# -WARRANTY, either express or implied, including, without limitation,
+# -the warranties of NON-INFRINGEMENT, MERCHANTABILITY or FITNESS FOR A
+# -PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE ORIGINAL
+# -WORK IS WITH YOU. This DISCLAIMER OF WARRANTY constitutes an essential
+# -part of this License. No license to Original Work is granted hereunder
+# -except under this disclaimer.
+# -
+# -8) Limitation of Liability. Under no circumstances and under no legal
+# -theory, whether in tort (including negligence), contract, or
+# -otherwise, shall the Licensor be liable to any person for any direct,
+# -indirect, special, incidental, or consequential damages of any
+# -character arising as a result of this License or the use of the
+# -Original Work including, without limitation, damages for loss of
+# -goodwill, work stoppage, computer failure or malfunction, or any and
+# -all other commercial damages or losses. This limitation of liability
+# -shall not apply to liability for death or personal injury resulting
+# -from Licensor's negligence to the extent applicable law prohibits such
+# -limitation. Some jurisdictions do not allow the exclusion or
+# -limitation of incidental or consequential damages, so this exclusion
+# -and limitation may not apply to You.
+# -
+# -9) Acceptance and Termination. If You distribute copies of the
+# -Original Work or a Derivative Work, You must make a reasonable effort
+# -under the circumstances to obtain the express assent of recipients to
+# -the terms of this License. Nothing else but this License (or another
+# -written agreement between Licensor and You) grants You permission to
+# -create Derivative Works based upon the Original Work or to exercise
+# -any of the rights granted in Section 1 herein, and any attempt to do
+# -so except under the terms of this License (or another written
+# -agreement between Licensor and You) is expressly prohibited by
+# -U.S. copyright law, the equivalent laws of other countries, and by
+# -international treaty. Therefore, by exercising any of the rights
+# -granted to You in Section 1 herein, You indicate Your acceptance of
+# -this License and all of its terms and conditions.
+# -
+# -10) Termination for Patent Action. This License shall terminate
+# -automatically and You may no longer exercise any of the rights granted
+# -to You by this License as of the date You commence an action,
+# -including a cross-claim or counterclaim, against Licensor or any
+# -licensee alleging that the Original Work infringes a patent. This
+# -termination provision shall not apply for an action alleging patent
+# -infringement by combinations of the Original Work with other software
+# -or hardware.
+# -
+# -11) Jurisdiction, Venue and Governing Law. Any action or suit relating
+# -to this License may be brought only in the courts of a jurisdiction
+# -wherein the Licensor resides or in which Licensor conducts its primary
+# -business, and under the laws of that jurisdiction excluding its
+# -conflict-of-law provisions. The application of the United Nations
+# -Convention on Contracts for the International Sale of Goods is
+# -expressly excluded. Any use of the Original Work outside the scope of
+# -this License or after its termination shall be subject to the
+# -requirements and penalties of the U.S. Copyright Act, 17 U.S.C. Â§ 101
+# -et seq., the equivalent laws of other countries, and international
+# -treaty. This section shall survive the termination of this License.
+# -
+# -12) Attorneys Fees. In any action to enforce the terms of this License
+# -or seeking damages relating thereto, the prevailing party shall be
+# -entitled to recover its costs and expenses, including, without
+# -limitation, reasonable attorneys' fees and costs incurred in
+# -connection with such action, including any appeal of such action. This
+# -section shall survive the termination of this License.
+# -
+# -13) Miscellaneous. This License represents the complete agreement
+# -concerning the subject matter hereof. If any provision of this License
+# -is held to be unenforceable, such provision shall be reformed only to
+# -the extent necessary to make it enforceable.
+# -
+# -14) Definition of "You" in This License. "You" throughout this
+# -License, whether in upper or lower case, means an individual or a
+# -legal entity exercising rights under, and complying with all of the
+# -terms of, this License. For legal entities, "You" includes any entity
+# -that controls, is controlled by, or is under common control with
+# -you. For purposes of this definition, "control" means (i) the power,
+# -direct or indirect, to cause the direction or management of such
+# -entity, whether by contract or otherwise, or (ii) ownership of fifty
+# -percent (50%) or more of the outstanding shares, or (iii) beneficial
+# -ownership of such entity.
+# -
+# -15) Right to Use. You may use the Original Work in all ways not
+# -otherwise restricted or conditioned by this License or by law, and
+# -Licensor promises not to interfere with or be responsible for such
+# -uses by You.
+# -
+# -This license is Copyright (C) 2003-2004 Lawrence E. Rosen. All rights
+# -reserved. Permission is hereby granted to copy and distribute this
+# -license without modification. This license may not be modified without
+# -the express written permission of its copyright owner.
+# -
+# -
+# --- 
+# -END OF ACADEMIC FREE LICENSE. The following is intended to describe the essential 
+# -differences between the Academic Free License (AFL) version 1.0 and other 
+# -open source licenses:
+# -
+# -The Academic Free License is similar to the BSD, MIT, UoI/NCSA and Apache 
+# -licenses in many respects but it is intended to solve a few problems with 
+# -those licenses.
+# -    
+# -* The AFL is written so as to make it clear what software is being 
+# -licensed (by the inclusion of a statement following the copyright notice 
+# -in the software). This way, the license functions better than a template 
+# -license. The BSD, MIT and UoI/NCSA licenses apply to unidentified software.
+# -    
+# -* The AFL contains a complete copyright grant to the software. The BSD 
+# -and Apache licenses are vague and incomplete in that respect.
+# -    
+# -* The AFL contains a complete patent grant to the software. The BSD, MIT, 
+# -UoI/NCSA and Apache licenses rely on an implied patent license and contain 
+# -no explicit patent grant.
+# -    
+# -* The AFL makes it clear that no trademark rights are granted to the 
+# -licensor's trademarks. The Apache license contains such a provision, but the 
+# -BSD, MIT and UoI/NCSA licenses do not.
+# -    
+# -* The AFL includes the warranty by the licensor that it either owns the 
+# -copyright or that it is distributing the software under a license. None of 
+# -the other licenses contain that warranty. All other warranties are disclaimed, 
+# -as is the case for the other licenses.
+# -
+# -* The AFL is itself copyrighted (with the right granted to copy and distribute 
+# -without modification). This ensures that the owner of the copyright to the 
+# -license will control changes. The Apache license contains a copyright notice, 
+# -but the BSD, MIT and UoI/NCSA licenses do not. 
+# -
+# ------------------------------------------------------------------------
+# -
+# ---
+# -START OF GNU GENERAL PUBLIC LICENSE
+# ---
+# -
+# -		    GNU GENERAL PUBLIC LICENSE
+# -		       Version 2, June 1991
+# -
+# - Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+# - 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+# -
+# - Everyone is permitted to copy and distribute verbatim copies
+# - of this license document, but changing it is not allowed.
+# -
+# -			    Preamble
+# -
+# -  The licenses for most software are designed to take away your
+# -freedom to share and change it.  By contrast, the GNU General Public
+# -License is intended to guarantee your freedom to share and change free
+# -software--to make sure the software is free for all its users.  This
+# -General Public License applies to most of the Free Software
+# -Foundation's software and to any other program whose authors commit to
+# -using it.  (Some other Free Software Foundation software is covered by
+# -the GNU Library General Public License instead.)  You can apply it to
+# -your programs, too.
+# -
+# -  When we speak of free software, we are referring to freedom, not
+# -price.  Our General Public Licenses are designed to make sure that you
+# -have the freedom to distribute copies of free software (and charge for
+# -this service if you wish), that you receive source code or can get it
+# -if you want it, that you can change the software or use pieces of it
+# -in new free programs; and that you know you can do these things.
+# -
+# -  To protect your rights, we need to make restrictions that forbid
+# -anyone to deny you these rights or to ask you to surrender the rights.
+# -These restrictions translate to certain responsibilities for you if you
+# -distribute copies of the software, or if you modify it.
+# -
+# -  For example, if you distribute copies of such a program, whether
+# -gratis or for a fee, you must give the recipients all the rights that
+# -you have.  You must make sure that they, too, receive or can get the
+# -source code.  And you must show them these terms so they know their
+# -rights.
+# -
+# -  We protect your rights with two steps: (1) copyright the software, and
+# -(2) offer you this license which gives you legal permission to copy,
+# -distribute and/or modify the software.
+# -
+# -  Also, for each author's protection and ours, we want to make certain
+# -that everyone understands that there is no warranty for this free
+# -software.  If the software is modified by someone else and passed on, we
+# -want its recipients to know that what they have is not the original, so
+# -that any problems introduced by others will not reflect on the original
+# -authors' reputations.
+# -
+# -  Finally, any free program is threatened constantly by software
+# -patents.  We wish to avoid the danger that redistributors of a free
+# -program will individually obtain patent licenses, in effect making the
+# -program proprietary.  To prevent this, we have made it clear that any
+# -patent must be licensed for everyone's free use or not licensed at all.
+# -
+# -  The precise terms and conditions for copying, distribution and
+# -modification follow.
+# -
+# -		    GNU GENERAL PUBLIC LICENSE
+# -   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+# -
+# -  0. This License applies to any program or other work which contains
+# -a notice placed by the copyright holder saying it may be distributed
+# -under the terms of this General Public License.  The "Program", below,
+# -refers to any such program or work, and a "work based on the Program"
+# -means either the Program or any derivative work under copyright law:
+# -that is to say, a work containing the Program or a portion of it,
+# -either verbatim or with modifications and/or translated into another
+# -language.  (Hereinafter, translation is included without limitation in
+# -the term "modification".)  Each licensee is addressed as "you".
+# -
+# -Activities other than copying, distribution and modification are not
+# -covered by this License; they are outside its scope.  The act of
+# -running the Program is not restricted, and the output from the Program
+# -is covered only if its contents constitute a work based on the
+# -Program (independent of having been made by running the Program).
+# -Whether that is true depends on what the Program does.
+# -
+# -  1. You may copy and distribute verbatim copies of the Program's
+# -source code as you receive it, in any medium, provided that you
+# -conspicuously and appropriately publish on each copy an appropriate
+# -copyright notice and disclaimer of warranty; keep intact all the
+# -notices that refer to this License and to the absence of any warranty;
+# -and give any other recipients of the Program a copy of this License
+# -along with the Program.
+# -
+# -You may charge a fee for the physical act of transferring a copy, and
+# -you may at your option offer warranty protection in exchange for a fee.
+# -
+# -  2. You may modify your copy or copies of the Program or any portion
+# -of it, thus forming a work based on the Program, and copy and
+# -distribute such modifications or work under the terms of Section 1
+# -above, provided that you also meet all of these conditions:
+# -
+# -    a) You must cause the modified files to carry prominent notices
+# -    stating that you changed the files and the date of any change.
+# -
+# -    b) You must cause any work that you distribute or publish, that in
+# -    whole or in part contains or is derived from the Program or any
+# -    part thereof, to be licensed as a whole at no charge to all third
+# -    parties under the terms of this License.
+# -
+# -    c) If the modified program normally reads commands interactively
+# -    when run, you must cause it, when started running for such
+# -    interactive use in the most ordinary way, to print or display an
+# -    announcement including an appropriate copyright notice and a
+# -    notice that there is no warranty (or else, saying that you provide
+# -    a warranty) and that users may redistribute the program under
+# -    these conditions, and telling the user how to view a copy of this
+# -    License.  (Exception: if the Program itself is interactive but
+# -    does not normally print such an announcement, your work based on
+# -    the Program is not required to print an announcement.)
+# -
+# -These requirements apply to the modified work as a whole.  If
+# -identifiable sections of that work are not derived from the Program,
+# -and can be reasonably considered independent and separate works in
+# -themselves, then this License, and its terms, do not apply to those
+# -sections when you distribute them as separate works.  But when you
+# -distribute the same sections as part of a whole which is a work based
+# -on the Program, the distribution of the whole must be on the terms of
+# -this License, whose permissions for other licensees extend to the
+# -entire whole, and thus to each and every part regardless of who wrote it.
+# -
+# -Thus, it is not the intent of this section to claim rights or contest
+# -your rights to work written entirely by you; rather, the intent is to
+# -exercise the right to control the distribution of derivative or
+# -collective works based on the Program.
+# -
+# -In addition, mere aggregation of another work not based on the Program
+# -with the Program (or with a work based on the Program) on a volume of
+# -a storage or distribution medium does not bring the other work under
+# -the scope of this License.
+# -
+# -  3. You may copy and distribute the Program (or a work based on it,
+# -under Section 2) in object code or executable form under the terms of
+# -Sections 1 and 2 above provided that you also do one of the following:
+# -
+# -    a) Accompany it with the complete corresponding machine-readable
+# -    source code, which must be distributed under the terms of Sections
+# -    1 and 2 above on a medium customarily used for software interchange; or,
+# -
+# -    b) Accompany it with a written offer, valid for at least three
+# -    years, to give any third party, for a charge no more than your
+# -    cost of physically performing source distribution, a complete
+# -    machine-readable copy of the corresponding source code, to be
+# -    distributed under the terms of Sections 1 and 2 above on a medium
+# -    customarily used for software interchange; or,
+# -
+# -    c) Accompany it with the information you received as to the offer
+# -    to distribute corresponding source code.  (This alternative is
+# -    allowed only for noncommercial distribution and only if you
+# -    received the program in object code or executable form with such
+# -    an offer, in accord with Subsection b above.)
+# -
+# -The source code for a work means the preferred form of the work for
+# -making modifications to it.  For an executable work, complete source
+# -code means all the source code for all modules it contains, plus any
+# -associated interface definition files, plus the scripts used to
+# -control compilation and installation of the executable.  However, as a
+# -special exception, the source code distributed need not include
+# -anything that is normally distributed (in either source or binary
+# -form) with the major components (compiler, kernel, and so on) of the
+# -operating system on which the executable runs, unless that component
+# -itself accompanies the executable.
+# -
+# -If distribution of executable or object code is made by offering
+# -access to copy from a designated place, then offering equivalent
+# -access to copy the source code from the same place counts as
+# -distribution of the source code, even though third parties are not
+# -compelled to copy the source along with the object code.
+# -
+# -  4. You may not copy, modify, sublicense, or distribute the Program
+# -except as expressly provided under this License.  Any attempt
+# -otherwise to copy, modify, sublicense or distribute the Program is
+# -void, and will automatically terminate your rights under this License.
+# -However, parties who have received copies, or rights, from you under
+# -this License will not have their licenses terminated so long as such
+# -parties remain in full compliance.
+# -
+# -  5. You are not required to accept this License, since you have not
+# -signed it.  However, nothing else grants you permission to modify or
+# -distribute the Program or its derivative works.  These actions are
+# -prohibited by law if you do not accept this License.  Therefore, by
+# -modifying or distributing the Program (or any work based on the
+# -Program), you indicate your acceptance of this License to do so, and
+# -all its terms and conditions for copying, distributing or modifying
+# -the Program or works based on it.
+# -
+# -  6. Each time you redistribute the Program (or any work based on the
+# -Program), the recipient automatically receives a license from the
+# -original licensor to copy, distribute or modify the Program subject to
+# -these terms and conditions.  You may not impose any further
+# -restrictions on the recipients' exercise of the rights granted herein.
+# -You are not responsible for enforcing compliance by third parties to
+# -this License.
+# -
+# -  7. If, as a consequence of a court judgment or allegation of patent
+# -infringement or for any other reason (not limited to patent issues),
+# -conditions are imposed on you (whether by court order, agreement or
+# -otherwise) that contradict the conditions of this License, they do not
+# -excuse you from the conditions of this License.  If you cannot
+# -distribute so as to satisfy simultaneously your obligations under this
+# -License and any other pertinent obligations, then as a consequence you
+# -may not distribute the Program at all.  For example, if a patent
+# -license would not permit royalty-free redistribution of the Program by
+# -all those who receive copies directly or indirectly through you, then
+# -the only way you could satisfy both it and this License would be to
+# -refrain entirely from distribution of the Program.
+# -
+# -If any portion of this section is held invalid or unenforceable under
+# -any particular circumstance, the balance of the section is intended to
+# -apply and the section as a whole is intended to apply in other
+# -circumstances.
+# -
+# -It is not the purpose of this section to induce you to infringe any
+# -patents or other property right claims or to contest validity of any
+# -such claims; this section has the sole purpose of protecting the
+# -integrity of the free software distribution system, which is
+# -implemented by public license practices.  Many people have made
+# -generous contributions to the wide range of software distributed
+# -through that system in reliance on consistent application of that
+# -system; it is up to the author/donor to decide if he or she is willing
+# -to distribute software through any other system and a licensee cannot
+# -impose that choice.
+# -
+# -This section is intended to make thoroughly clear what is believed to
+# -be a consequence of the rest of this License.
+# -
+# -  8. If the distribution and/or use of the Program is restricted in
+# -certain countries either by patents or by copyrighted interfaces, the
+# -original copyright holder who places the Program under this License
+# -may add an explicit geographical distribution limitation excluding
+# -those countries, so that distribution is permitted only in or among
+# -countries not thus excluded.  In such case, this License incorporates
+# -the limitation as if written in the body of this License.
+# -
+# -  9. The Free Software Foundation may publish revised and/or new versions
+# -of the General Public License from time to time.  Such new versions will
+# -be similar in spirit to the present version, but may differ in detail to
+# -address new problems or concerns.
+# -
+# -Each version is given a distinguishing version number.  If the Program
+# -specifies a version number of this License which applies to it and "any
+# -later version", you have the option of following the terms and conditions
+# -either of that version or of any later version published by the Free
+# -Software Foundation.  If the Program does not specify a version number of
+# -this License, you may choose any version ever published by the Free Software
+# -Foundation.
+# -
+# -  10. If you wish to incorporate parts of the Program into other free
+# -programs whose distribution conditions are different, write to the author
+# -to ask for permission.  For software which is copyrighted by the Free
+# -Software Foundation, write to the Free Software Foundation; we sometimes
+# -make exceptions for this.  Our decision will be guided by the two goals
+# -of preserving the free status of all derivatives of our free software and
+# -of promoting the sharing and reuse of software generally.
+# -
+# -			    NO WARRANTY
+# -
+# -  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+# -FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+# -OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+# -PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+# -OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# -MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+# -TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+# -PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+# -REPAIR OR CORRECTION.
+# -
+# -  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+# -WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+# -REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+# -INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+# -OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+# -TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+# -YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+# -PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+# -POSSIBILITY OF SUCH DAMAGES.
+# -
+# -		     END OF TERMS AND CONDITIONS
+# -
+# -	    How to Apply These Terms to Your New Programs
+# -
+# -  If you develop a new program, and you want it to be of the greatest
+# -possible use to the public, the best way to achieve this is to make it
+# -free software which everyone can redistribute and change under these terms.
+# -
+# -  To do so, attach the following notices to the program.  It is safest
+# -to attach them to the start of each source file to most effectively
+# -convey the exclusion of warranty; and each file should have at least
+# -the "copyright" line and a pointer to where the full notice is found.
+# -
+# -    <one line to give the program's name and a brief idea of what it does.>
+# -    Copyright (C) <year>  <name of author>
+# -
+# -    This program is free software; you can redistribute it and/or modify
+# -    it under the terms of the GNU General Public License as published by
+# -    the Free Software Foundation; either version 2 of the License, or
+# -    (at your option) any later version.
+# -
+# -    This program is distributed in the hope that it will be useful,
+# -    but WITHOUT ANY WARRANTY; without even the implied warranty of
+# -    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# -    GNU General Public License for more details.
+# -
+# -    You should have received a copy of the GNU General Public License
+# -    along with this program; if not, write to the Free Software
+# -    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+# -
+# -
+# -Also add information on how to contact you by electronic and paper mail.
+# -
+# -If the program is interactive, make it output a short notice like this
+# -when it starts in an interactive mode:
+# -
+# -    Gnomovision version 69, Copyright (C) year name of author
+# -    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+# -    This is free software, and you are welcome to redistribute it
+# -    under certain conditions; type `show c' for details.
+# -
+# -The hypothetical commands `show w' and `show c' should show the appropriate
+# -parts of the General Public License.  Of course, the commands you use may
+# -be called something other than `show w' and `show c'; they could even be
+# -mouse-clicks or menu items--whatever suits your program.
+# -
+# -You should also get your employer (if you work as a programmer) or your
+# -school, if any, to sign a "copyright disclaimer" for the program, if
+# -necessary.  Here is a sample; alter the names:
+# -
+# -  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+# -  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+# -
+# -  <signature of Ty Coon>, 1 April 1989
+# -  Ty Coon, President of Vice
+# -
+# -This General Public License does not permit incorporating your program into
+# -proprietary programs.  If your program is a subroutine library, you may
+# -consider it more useful to permit linking proprietary applications with the
+# -library.  If this is what you want to do, use the GNU Library General
+# -Public License instead of this License.
+# +Please see the files in LICENSES/ for full license text.
+# 
+#
+
+SUMMARY = "High level language (GLib) binding for D-Bus"
+DESCRIPTION = "GLib bindings for the D-Bus message bus that integrate \
+the D-Bus library with the GLib thread abstraction and main loop."
+HOMEPAGE = "https://www.freedesktop.org/Software/dbus"
+LICENSE = "AFL-2.1 | GPL-2.0-or-later"
+LIC_FILES_CHKSUM = "file://COPYING;md5=267b04646da5ce3ea2df7a38a07c3f0b \
+                    file://dbus/dbus-glib.h;beginline=7;endline=21;md5=c374833bd817988323f3a8fda0dc7f48 \
+                    "
+SECTION = "base"
+
+DEPENDS = "expat glib-2.0 virtual/libintl dbus-glib-native dbus"
+DEPENDS:class-native = "glib-2.0-native dbus-native"
+
+SRC_URI = "https://dbus.freedesktop.org/releases/dbus-glib/dbus-glib-${PV}.tar.gz \
+           file://no-examples.patch \
+           file://test-install-makefile.patch \
+"
+SRC_URI[sha256sum] = "c09c5c085b2a0e391b8ee7d783a1d63fe444e96717cc1814d61b5e8fc2827a7c"
+
+inherit autotools pkgconfig gettext bash-completion gtk-doc
+
+#default disable regression tests, some unit test code in non testing code
+#PACKAGECONFIG:pn-${PN} = "tests" enable regression tests local.conf
+PACKAGECONFIG ??= ""
+PACKAGECONFIG[tests] = "--enable-tests,,,"
+
+EXTRA_OECONF:class-target = "--with-dbus-binding-tool=${STAGING_BINDIR_NATIVE}/dbus-binding-tool"
+
+PACKAGES += "${PN}-tests"
+
+FILES:${PN} = "${libdir}/lib*${SOLIBS}"
+FILES:${PN}-bash-completion += "${libexecdir}/dbus-bash-completion-helper"
+FILES:${PN}-dev += "${libdir}/dbus-1.0/include ${bindir}/dbus-glib-tool"
+FILES:${PN}-dev += "${bindir}/dbus-binding-tool"
+
+RDEPENDS:${PN}-tests += "dbus-x11"
+FILES:${PN}-tests = "${datadir}/${BPN}/tests"
+
+BBCLASSEXTEND = "native"
-- 
2.44.1

